Verify pending asset password to complete password configuration.
curl --request POST \
--url https://api.lynkwell.com/asset-management/v1/assets/verify-password \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "<string>"
}
'import requests
url = "https://api.lynkwell.com/asset-management/v1/assets/verify-password"
payload = { "id": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({id: '<string>'})
};
fetch('https://api.lynkwell.com/asset-management/v1/assets/verify-password', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"type": "BAD_REQUEST",
"code": "INVALID_REQUEST_PARAMETERS",
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"type": "NOT_FOUND",
"code": "ASSET_NOT_FOUND",
"message": "<string>"
}{
"type": "CONFLICT",
"code": "CONFLICTING_SECURITY_PROFILE_STATE",
"message": "<string>"
}{
"type": "INTERNAL_ERROR",
"code": "INTERNAL_SERVER_ERROR",
"message": "<string>"
}Assets
Verify pending asset password to complete password configuration.
Verifies the pending password of the asset with the specified ID to complete the password configuration. If the password is rejected, the asset will be configured with the previously configured password or set to insecure if no password was previously configured.
POST
/
asset-management
/
v1
/
assets
/
verify-password
Verify pending asset password to complete password configuration.
Authorizations
OAuth2 Client Credentials Flow
Body
application/json
Use this to verify a password has been configured for the asset. If result is REJECTED then the current password will remain valid. Otherwise, the pending password will become the new password.
Response
Success